__gnu_profile::__vector2list_stack_info Class Reference

`#include <profiler_vector_to_list.h>`

Inheritance diagram for __gnu_profile::__vector2list_stack_info:
[legend]

## Public Member Functions

| __vector2list_stack_info (const __vector2list_info &__o)
std::string | __advice () const
bool | __is_valid () const
std::size_t | __iterate ()
float | __list_cost ()
float | __magnitude () const
void | __merge (const __object_info_base &__o)
void | __merge (const __vector2list_info &__o)
void | __opr_insert (std::size_t __pos, std::size_t __num)
void | __opr_iterate (int __num)
std::size_t | __resize ()
void | __resize (std::size_t __from, std::size_t)
void | __set_invalid ()
void | __set_list_cost (float __lc)
void | __set_vector_cost (float __vc)
std::size_t | __shift_count ()
__stack_t | __stack () const
void | __write (FILE *__f) const

## Protected Attributes

__stack_t | _M_stack
bool | _M_valid

## Detailed Description

A vector-to-list instrumentation line in the stack table.

Definition at line 121 of file profiler_vector_to_list.h.

## Constructor & Destructor Documentation

## __vector2list_stack_info()

__gnu_profile::__vector2list_stack_info::__vector2list_stack_info | ( | const __vector2list_info & | __o | ) |

inline

Definition at line 125 of file profiler_vector_to_list.h.

## Member Function Documentation

## __advice()

std::string __gnu_profile::__vector2list_info::__advice | ( |  | ) | const

inline inherited

Definition at line 72 of file profiler_vector_to_list.h.

## __is_valid()

bool __gnu_profile::__object_info_base::__is_valid | ( |  | ) | const

inline inherited

Definition at line 134 of file profiler_node.h.

## __iterate()

std::size_t __gnu_profile::__vector2list_info::__iterate | ( |  | ) |

inline inherited

Definition at line 80 of file profiler_vector_to_list.h.

## __list_cost()

float __gnu_profile::__vector2list_info::__list_cost | ( |  | ) |

inline inherited

Definition at line 84 of file profiler_vector_to_list.h.

## __magnitude()

float __gnu_profile::__vector2list_info::__magnitude | ( |  | ) | const

inline inherited

Definition at line 68 of file profiler_vector_to_list.h.

## __merge() [1/2]

void __gnu_profile::__object_info_base::__merge | ( | const __object_info_base & | __o | ) |

inline inherited

Definition at line 142 of file profiler_node.h.

## __merge() [2/2]

void __gnu_profile::__vector2list_info::__merge | ( | const __vector2list_info & | __o | ) |

inline inherited

Definition at line 50 of file profiler_vector_to_list.h.

## __opr_insert()

void __gnu_profile::__vector2list_info::__opr_insert | ( | std::size_t | __pos,
|  | std::size_t | __num
| ) |  |

inline inherited

Definition at line 100 of file profiler_vector_to_list.h.

## __opr_iterate()

void __gnu_profile::__vector2list_info::__opr_iterate | ( | int | __num | ) |

inline inherited

Definition at line 104 of file profiler_vector_to_list.h.

## __resize() [1/2]

std::size_t __gnu_profile::__vector2list_info::__resize | ( |  | ) |

inline inherited

Definition at line 88 of file profiler_vector_to_list.h.

## __resize() [2/2]

void __gnu_profile::__vector2list_info::__resize | ( | std::size_t | __from,
|  | std::size_t |
| ) |  |

inline inherited

Definition at line 108 of file profiler_vector_to_list.h.

## __set_invalid()

void __gnu_profile::__object_info_base::__set_invalid | ( |  | ) |

inline inherited

Definition at line 138 of file profiler_node.h.

## __set_list_cost()

void __gnu_profile::__vector2list_info::__set_list_cost | ( | float | __lc | ) |

inline inherited

Definition at line 92 of file profiler_vector_to_list.h.

## __set_vector_cost()

void __gnu_profile::__vector2list_info::__set_vector_cost | ( | float | __vc | ) |

inline inherited

Definition at line 96 of file profiler_vector_to_list.h.

## __shift_count()

std::size_t __gnu_profile::__vector2list_info::__shift_count | ( |  | ) |

inline inherited

Definition at line 76 of file profiler_vector_to_list.h.

## __stack()

__stack_t __gnu_profile::__object_info_base::__stack | ( |  | ) | const

inline inherited

Definition at line 146 of file profiler_node.h.

## __write()

void __gnu_profile::__vector2list_info::__write | ( | FILE * | __f | ) | const

inline inherited

Definition at line 61 of file profiler_vector_to_list.h.

## Member Data Documentation

## _M_stack

__stack_t __gnu_profile::__object_info_base::_M_stack

protected inherited

Definition at line 150 of file profiler_node.h.

## _M_valid

bool __gnu_profile::__object_info_base::_M_valid

protected inherited

Definition at line 151 of file profiler_node.h.

The documentation for this class was generated from the following file:

- profiler_vector_to_list.h